/***************************************************************
 * Name:      domingos.h
 * Purpose:   Defines wxDateTimeDomingos
 * Author:    Salvador Pozo (salvador@conclase.net)
 * Created:   2024-12-28
 * Copyright: Salvador Pozo (www.conclase.net)
 * License:
 **************************************************************/

#ifndef DOMINGOS_H
#define DOMINGOS_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

class wxDateTimeDomingos : public wxDateTimeHolidayAuthority
{
protected:
    virtual bool DoIsHoliday(const wxDateTime& dt) const wxOVERRIDE;
    virtual size_t DoGetHolidaysInRange(const wxDateTime& dtStart,
                                        const wxDateTime& dtEnd,
                                        wxDateTimeArray& holidays) const wxOVERRIDE;
};

#endif // DOMINGOS_H
