/***************************************************************
 * Name:      wx014App.cpp
 * Purpose:   Code for Application Class
 * Author:    Salvador Pozo (salvador@conclase.net)
 * Created:   2024-12-25
 * Copyright: Salvador Pozo (https://conclase.net)
 * License:
 **************************************************************/

#ifdef WX_PRECOMP
#include "wx_pch.h"
#endif

#include "wx014App.h"
#include "wx014Main.h"
#include "logo_peq.xpm"

IMPLEMENT_APP(wx014App);

bool wx014App::OnInit()
{
    wx014Frame* frame = new wx014Frame(0L, _("wxWidgets Ejemplo 14"));
    local.Init(wxLANGUAGE_DEFAULT);
    frame->SetIcon(logo); // To Set App Icon
    frame->Show();

    return true;
}
